<?php

namespace Drupal\live_content\Commands;

use Drupal\live_content\FeedServer;
use Drush\Commands\DrushCommands;

/**
 * Class LiveContentDrushCommands.
 *
 * Drush commands for Live Content module.
 */
class LiveContentDrushCommands extends DrushCommands {

  /**
   * Starts Rachet websocket server.
   *
   * @command live-content-start-server
   * @aliases lc-ss
   * @usage drush live-content-start-server
   *   Starts Rachet websocket server.
   */
  public function start() {
    $live_content_service = \Drupal::service('live_content.feed');
    $port = $live_content_service->getPort();
    $this->output()->writeln("Server now running on localhost:" . $port);
    FeedServer::start();
  }

}
